<?
require("acesso.php");
$menu = "fotos";
$tipo_de_conteudo = "fotos";
$acao = $_GET[acao];
$id_unico = uniqid (rand ());
#Se acao for igual a apagar, apaga o registro
if($acao=="apagar") {
	#Pega o ID do conte&uacute;do pelo endere&ccedil;o da p&aacute;gina
	$id = $_GET[id];
	#Faz a sele&ccedil;&atilde;o no banco para a listagem do conte&uacute;do
	$query = "SELECT * FROM fotos WHERE id='$id'";
	$resultado = mysql_query($query);
	$monta_select = mysql_fetch_array($resultado);
	#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
	$categoria = $monta_select["categoria"];
	$foto = $monta_select["foto"];
	#Apaga a foto se ela existir
	if($foto!="") {
		#Caminho F&iacute;sico onde as imagens ser&atilde;o gravadas
		define(PATH_FISICO_IMG, $endereco_fisico . "/" . $tipo_de_conteudo . "/" . $categoria );
		#Define o caminho das imagens que dever&atilde;o ser apagadas
		$caminho_da_foto = PATH_FISICO_IMG . "/" . $foto;
		$caminho_do_thumb = PATH_FISICO_IMG . "/" . $caminho_imagens_thumbs . "/" .$foto;
		#Apaga as imagens
		unlink($caminho_da_foto);
		unlink($caminho_do_thumb);
	}
	#Executa a Query q vai apagar o registro
	$query_deleta = "DELETE FROM fotos WHERE id='$id'";
	$deleta = mysql_query($query_deleta);
	if (!$deleta) {
	   header("Location: fotos.php?info=falhou&causa=".urlencode('Ocorreu um Erro!'));
	   exit;
	}
	else {
	   header("Location: fotos.php?info=ok&causa=".urlencode('Foto apagada com sucesso!'));
	   exit;
	}
#Verifica se acao é igual a salvar, se for verdadeira salva o registro
} elseif ($acao=="salvar") {
	#Pega o ID do conte&uacute;do pelo hidden da p&aacute;gina, caso for salvar id vem vazio se vier preenchido é uma edi&ccedil;&atilde;o.
	#Edi&ccedil;&atilde;o
	$id = $_POST[id];
	if ($id!="") {
		$categoria = $_POST['categoria'];
		$categoria_antiga = $_POST['categoria_antiga'];
		$nome = $_POST['nome'];
		$foto_antiga = $_POST['foto_antiga'];
		$verifica_foto = $_FILES["foto_nova"]["name"];
		#Verifica se j&aacute; existe um registro com este nome
		$query_verifica = "SELECT * FROM fotos WHERE nome='$nome' AND categoria='$categoria' AND id<>'$id' ";
		$resultado_verifica = mysql_query($query_verifica);
		$monta_select_verifica = mysql_fetch_array($resultado_verifica);
		#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
		$verifica = $monta_select_verifica["nome"];
		if ($verifica) {
		   header("Location: fotos.php?info=falhou&causa=".urlencode('J&aacute; existe uma foto com este nome relacionada a este categoria. A a&ccedil;&atilde;o n&atilde;o foi executada.'));
		   exit;
		} else {
			#Verifica se é uma edi&ccedil;&atilde;o de foto se o campo da foto nova estiver preenchido executa uma query, sen&atilde;o executa outra
			if ($verifica_foto!="") {
				#Caminho Físico onde as imagens serão gravadas
				define(PATH_FISICO_IMG, $endereco_fisico . "/" . $tipo_de_conteudo . "/" . $categoria );
				#Caminho onde as imagens serão gravadas
				define(PATH_IMG, $endereco_site . "/" . $tipo_de_conteudo . "/" . $categoria );
				if ($categoria == $categoria_antiga) {
					#Caminho Físico onde as imagens estão gravadas
					define(PATH_FISICO_IMG_DEL, $endereco_fisico . "/" . $tipo_de_conteudo . "/" . $categoria );
					#Caminho onde as imagens serão gravadas
					define(PATH_IMG_DEL, $endereco_site . "/" . $tipo_de_conteudo . "/" . $categoria );
				} else {
					#Caminho Físico onde as imagens estão gravadas
					define(PATH_FISICO_IMG_DEL, $endereco_fisico . "/" . $tipo_de_conteudo . "/" . $categoria_antiga );
					#Caminho onde as imagens serão gravadas
					define(PATH_IMG_DEL, $endereco_site . "/" . $tipo_de_conteudo . "/" . $categoria_antiga );
				}
				#Forma os caminhos das antigas imagens
				$caminho_da_foto = PATH_FISICO_IMG_DEL . "/" . $foto_antiga;
				$caminho_do_thumb = PATH_FISICO_IMG_DEL . "/" . $caminho_imagens_thumbs . "/" .$foto_antiga;
				#Apaga as imagens antigas
				unlink($caminho_da_foto);
				unlink($caminho_do_thumb);
				#Executa o Envio das novas imagens
				#Pega extens&atilde;o do arquivo
				preg_match("/\.(gif|bmp|png|jpg|jpeg){1}$/i", $_FILES["foto_nova"]["name"], $ext);
				#Cria um nome &uacute;nico para a foto
				$foto = uniqid (rand ()) . "." . $ext[1];
				#Faz o upload da imagem
				require("upload_foto.php");
				#Atualiza o Banco
				$query = "UPDATE fotos SET nome='$nome', categoria='$categoria', foto='$foto' WHERE id='$id'";
			} else {
				#Caminho Físico onde a imagem será movida
				define(PATH_FISICO_IMG, $endereco_fisico . "/" . $tipo_de_conteudo );
				#Caminho onde a imagem será movida
				define(PATH_IMG, $endereco_site . "/" . $tipo_de_conteudo );
				#Forma os caminhos das antigas imagens
				$caminho_da_foto_antigo_move = PATH_FISICO_IMG . "/" . $categoria_antiga . "/" . $foto_antiga;
				$caminho_do_thumb_antigo_move = PATH_FISICO_IMG . "/" . $categoria_antiga . "/" . $caminho_imagens_thumbs . "/" .$foto_antiga;
				$caminho_da_foto_move = PATH_FISICO_IMG . "/" . $categoria . "/" . $foto_antiga;
				$caminho_do_thumb_move = PATH_FISICO_IMG . "/" . $categoria . "/" . $caminho_imagens_thumbs . "/" .$foto_antiga;
				rename($caminho_da_foto_antigo_move, $caminho_da_foto_move);
				rename($caminho_do_thumb_antigo_move, $caminho_do_thumb_move);
				$query = "UPDATE fotos SET nome='$nome', categoria='$categoria' WHERE id='$id'";
			}
			$run = mysql_query($query);
			if (!$run) {
				header("Location: fotos.php?info=falhou&causa=".urlencode('Ocorreu um Erro na Atualiza&ccedil;&atilde;o'));
				exit;
			}
			else {
				header("Location: fotos.php?info=ok&causa=".urlencode('Foto salva com sucesso!'));
				exit;
			}
		}
	#Salvar
	} else {
		$categoria = $_POST['categoria'];
		$nome = $_POST['nome'];
		#Verifica se j&aacute; existe um registro com este nome
		$query_verifica = "SELECT * FROM fotos WHERE nome='$nome' AND categoria='$categoria'";
		$resultado_verifica = mysql_query($query_verifica);
		$monta_select_verifica = mysql_fetch_array($resultado_verifica);
		#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
		$verifica = $monta_select_verifica["nome"];
		if($verifica!="") {
		   header("Location: fotos.php?info=falhou&causa=".urlencode('J&aacute; existe uma foto com este nome relacionada a categoria. A a&ccedil;&atilde;o n&atilde;o foi executada.'));
		   exit;
		} else {
			#Caminho F&iacute;sico onde as imagens ser&atilde;o gravadas
			define(PATH_FISICO_IMG, $endereco_fisico . "/" . $tipo_de_conteudo . "/" . $categoria );
			#Caminho onde as imagens ser&atilde;o gravadas
			define(PATH_IMG, $endereco_site . "/" . $tipo_de_conteudo . "/" . $categoria );
			#Pega extens&atilde;o do arquivo
        	preg_match("/\.(gif|bmp|png|jpg|jpeg){1}$/i", $_FILES["foto"]["name"], $ext);
			#Cria um nome &uacute;nico para a foto
			$foto = uniqid (rand ()) . "." . $ext[1];
			#Faz o upload da imagem
			require("upload_foto.php");
			if ($foto) {
				$query = "INSERT INTO fotos VALUES (NULL, '$categoria', '$nome', '$foto')";
				$run = mysql_query($query);
				if (!$run) {
					header("Location: fotos.php?info=falhou&causa=".urlencode('Ocorreu um Erro na Inclus&atilde;o!'));
					exit;
				}
				else {
					header("Location: fotos.php?info=ok&causa=".urlencode('Foto salva com sucesso!'));
					exit;
				}
			}
		}
	}
#Verifica se acao é igual a adicionar, se for verdadeira abre o formul&aacute;rio de cadastro
} elseif ($acao=="adicionar") {
	#Faz a sele&ccedil;&atilde;o no banco para a listagem das categorias
	$query_categorias = "SELECT * FROM categorias WHERE subcategoria='0' AND tipo='8' ORDER BY id DESC";
	$resultado_categorias = mysql_query($query_categorias);
	$monta_select_categorias = mysql_fetch_array($resultado_categorias);
include("topo.php");
?>
	<script src="js/fotos.js" type="text/javascript"></script> 
    <form name="ficha" method="post" enctype="multipart/form-data" action="fotos.php?acao=salvar" onSubmit="return enviardados();">
    <table width="775" border="0" cellspacing="0" cellpadding="0" align="center" style="margin-top:25px; background:url(images/fundo_painel.jpg) bottom right no-repeat;">
        <tr>
            <td>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:3px #F2F2F2 double; padding:5px 10px 0px 10px; background-color:#FFFFFF;">
                  <tr>
                    <td><img src="images/icones/fotos.jpg" align="absmiddle" /><span class="titulo">Cadastrar Foto</span></td>
                    <td width="100" align="center" class="texto"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /><br />Salvar</a></td>
                    <td width="100" align="center" class="texto"><a href="fotos.php"><img src="images/icones/fotos.jpg" border="0" /><br />Voltar</a></td>
                  </tr>
                </table>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" style="margin-top:20px;">
                  <tr>
                    <td height="27" colspan="2" align="left" style="padding:10px;">
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:3px #F2F2F2 double;">
                          <tr>
                            <td width="43"><img src="images/icones/info.jpg" width="33" height="33" /></td>
                            <td>Adicione uma foto ao banco de cadastros. Assim que a mesma for salva estar&aacute; dispon&iacute;vel no site. Todos os campos s&atilde;o de preenchimento obrigat&oacute;rio.</td>
                          </tr>
                        </table>
                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Categoria:</td>
                    <td width="645" align="left">
                    	<select name="categoria" class="inputbox">
                          <option value="">Escolha uma Categoria</option>
                    	<?php
						if(!$monta_select_categorias) {
							echo "<option value=\"\">Sem categorias cadastradas</option>\n";
						} else {
							do {
								$id_categoria = $monta_select_categorias["id"];
								$nome_categoria = utf8_decode($monta_select_categorias["nome"]);
								#Imprime o select com todas as categorias
								echo "<option value=\"$id_categoria\">$nome_categoria</option>\n";
								$query_subcategorias = "SELECT * FROM categorias WHERE subcategoria='$id_categoria' ORDER BY nome ASC";
								$resultado_subcategorias = mysql_query($query_subcategorias);
								$monta_select_subcategorias = mysql_fetch_array($resultado_subcategorias);
								if ($monta_select_subcategorias) {
									do {
										$id_subcategoria = $monta_select_subcategorias["id"];
										$nome_subcategoria = utf8_decode($monta_select_subcategorias["nome"]);
										#Imprime o select com todas as categorias
										echo "<option value=\"$id_subcategoria\">- $nome_subcategoria</option>\n";
										$query_subcategorias2 = "SELECT * FROM categorias WHERE subcategoria='$id_subcategoria' ORDER BY nome ASC";
										$resultado_subcategorias2 = mysql_query($query_subcategorias2);
										$monta_select_subcategorias2 = mysql_fetch_array($resultado_subcategorias2);
										if ($monta_select_subcategorias2) {
											do {
												$id_subcategoria2 = $monta_select_subcategorias2["id"];
												$nome_subcategoria2 = utf8_decode($monta_select_subcategorias2["nome"]);
												#Imprime o select com todas as categorias
												echo "<option value=\"$id_subcategoria2\">&nbsp;&nbsp;&nbsp;- $nome_subcategoria2</option>\n";
											}
											while ($monta_select_subcategorias2 = mysql_fetch_array($resultado_subcategorias2)); 
										}
									}
									while ($monta_select_subcategorias = mysql_fetch_array($resultado_subcategorias)); 
								}
							}
							while ($monta_select_categorias = mysql_fetch_array($resultado_categorias)); 
						}
						?>
                        </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Nome:&nbsp;</td>
                    <td width="645" align="left"><input name="nome" type="text" id="nome" class="inputbox" /></td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Imagem: </td>
                    <td width="645" align="left"><input name="foto" id="foto" type="file" class="inputbox" /></td>
                  </tr>
                  <tr>
                    <td width="130" align="left">&nbsp;</td>
                    <td width="645" align="left" style="padding-top:15px;"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /></td>
                  </tr>
				</table>
          </td>
        </tr>
    </table>
    </form>
<?php
#Verifica se acao é igual a editar, assim abre o formul&aacute;rio de edi&ccedil;ao
} elseif ($acao=="editar") {
	#Pega o ID do conte&uacute;do pelo endere&ccedil;o da p&aacute;gina
	$id = $_GET[id];
	#Faz a sele&ccedil;&atilde;o no banco para a listagem do conte&uacute;do que deseja editar
	$query = "SELECT * FROM fotos WHERE id='$id'";
	$resultado = mysql_query($query);
	$monta_select = mysql_fetch_array($resultado);
	#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
	$categoria = $monta_select["categoria"];
	$nome = $monta_select["nome"];
	$foto = $monta_select["foto"];
	#Faz a sele&ccedil;&atilde;o no banco para a listagem das categorias
	$query_categorias = "SELECT * FROM categorias WHERE subcategoria='0' AND tipo='8' ORDER BY id DESC";
	$resultado_categorias = mysql_query($query_categorias);
	$monta_select_categorias = mysql_fetch_array($resultado_categorias);
include("topo.php");
?>
	<script src="js/fotos.js" type="text/javascript"></script> 
    <form name="ficha" method="post" enctype="multipart/form-data" action="fotos.php?acao=salvar" onSubmit="return enviardados();">
    <table width="775" border="0" cellspacing="0" cellpadding="0" align="center" style="margin-top:25px; background:url(images/fundo_painel.jpg) bottom right no-repeat;">
        <tr>
            <td>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:3px #F2F2F2 double; padding:5px 10px 0px 10px; background-color:#FFFFFF;">
                  <tr>
                    <td><img src="images/icones/fotos.jpg" align="absmiddle" /><span class="titulo">Editar Foto</span></td>
                    <td width="100" align="center" class="texto"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /><br />Salvar</a></td>
                    <td width="100" align="center" class="texto"><a href="fotos.php"><img src="images/icones/fotos.jpg" border="0" /><br />Voltar</a></td>
                  </tr>
                </table>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" style="margin-top:20px;">
                  <tr>
                    <td height="27" colspan="2" align="left" style="padding:10px;">
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:3px #F2F2F2 double;">
                          <tr>
                            <td width="43"><img src="images/icones/info.jpg" width="33" height="33" /></td>
                            <td>Edite uma foto do banco de cadastros. Assim que a mesma for salva estar&aacute; dispon&iacute;vel no site. Todos os campos s&atilde;o de preenchimento obrigat&oacute;rio.</td>
                          </tr>
                        </table>                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Categoria:</td>
                    <td width="645" align="left">
                    	<select name="categoria" class="inputbox">
                    	<?php
						if(!$monta_select_categorias) {
							echo "<option value=\"\">Sem categorias cadastradas</option>\n";
						} else {
							do {
								$id_categoria = $monta_select_categorias["id"];
								$nome_categoria = utf8_decode($monta_select_categorias["nome"]);
								#Imprime o select com todas as categorias
								if ($categoria == $id_categoria) {
									echo "<option value=\"$id_categoria\" selected=\"selected\">$nome_categoria</option>\n";
								} else {
									echo "<option value=\"$id_categoria\">$nome_categoria</option>\n";
								}
								$query_subcategorias = "SELECT * FROM categorias WHERE subcategoria='$id_categoria' ORDER BY nome ASC";
								$resultado_subcategorias = mysql_query($query_subcategorias);
								$monta_select_subcategorias = mysql_fetch_array($resultado_subcategorias);
								if ($monta_select_subcategorias) {
									do {
										$id_subcategoria = $monta_select_subcategorias["id"];
										$nome_subcategoria = utf8_decode($monta_select_subcategorias["nome"]);
										#Imprime o select com todas as categorias
										if ($categoria == $id_subcategoria) {
											echo "<option value=\"$id_subcategoria\" selected=\"selected\">- $nome_subcategoria</option>\n";
										} else {
											echo "<option value=\"$id_subcategoria\">- $nome_subcategoria</option>\n";
										}
										$query_subcategorias2 = "SELECT * FROM categorias WHERE subcategoria='$id_subcategoria' ORDER BY nome ASC";
										$resultado_subcategorias2 = mysql_query($query_subcategorias2);
										$monta_select_subcategorias2 = mysql_fetch_array($resultado_subcategorias2);
										if ($monta_select_subcategorias2) {
											do {
												$id_subcategoria2 = $monta_select_subcategorias2["id"];
												$nome_subcategoria2 = utf8_decode($monta_select_subcategorias2["nome"]);
												#Imprime o select com todas as categorias
												if ($categoria == $id_subcategoria2) {
													echo "<option value=\"$id_subcategoria2\" selected=\"selected\">&nbsp;&nbsp;&nbsp;- $nome_subcategoria2</option>\n";
												} else {
													echo "<option value=\"$id_subcategoria2\">&nbsp;&nbsp;&nbsp;- $nome_subcategoria2</option>\n";
												}
											}
											while ($monta_select_subcategorias2 = mysql_fetch_array($resultado_subcategorias2)); 
										}
									}
									while ($monta_select_subcategorias = mysql_fetch_array($resultado_subcategorias)); 
								}
							}
							while ($monta_select_categorias = mysql_fetch_array($resultado_categorias)); 
						}
						?>
                        </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Nome: </td>
                    <td><input name="nome" type="text" id="nome" value="<?php echo $nome; ?>" class="inputbox" /><input name="id" type="hidden" value="<?php echo $id; ?>"><input name="categoria_antiga" type="hidden" value="<?php echo $categoria; ?>"></td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right" valign="top">Imagem: </td>
                    <td width="645" align="left"><img src="<?php echo $endereco_site;?>/fotos/<?php echo $categoria; ?>/thumbs/<?php echo $foto;?>" border="0" /><br /><input name="foto_nova" type="file" class="inputbox" /><input name="foto_antiga" type="hidden" value="<?php echo $foto;?>" />                    </td>
                  </tr>
                  <tr>
                    <td width="130" align="left">&nbsp;</td>
                    <td width="645" align="left" style="padding-top:15px;"><input name="Salvar" type="image" src="images/icones/salvar.jpg" />&nbsp;&nbsp;&nbsp;&nbsp;<a href="#" onclick="confirma('fotos.php?acao=apagar&id=<? echo $id; ?>')"><img src="images/icones/apagar.jpg" border="0" /></a></td>
                  </tr>
				</table>
          </td>
        </tr>
    </table>
    </form>
<?php
#Se acao estiver vazio faz a lista do conte&uacute;do (nao sendo verdaderio em nenhum dos if e elseif acima)
} else {
	$filtro = $_GET['nome'];
	if ($filtro) {
		$where = "WHERE nome LIKE '%".$filtro."%'";
		$filtro_paginacao = "&nome=".$filtro;
	} else {
		$where = "";
		$filtro_paginacao = "";
	}
	
	$filtro2 = $_GET['categoria'];
	if ($filtro2) {
		if ($where != "") {
			$where2 = "AND categoria='".$filtro2."'";
		} else {
			$where2 = "WHERE categoria='".$filtro2."'";
		}
		$filtro_paginacao2 = "&categoria=".$filtro2;
	} else {
		$where2 = "";
		$filtro_paginacao2 = "";
	}
	
	#Select que ir&aacute; montar o combo das categorias no filtro
	$query_categorias = "SELECT * FROM categorias WHERE tipo='8' ORDER BY nome ASC";
	$resultado_categorias = mysql_query($query_categorias);
	$monta_select_categorias = mysql_fetch_array($resultado_categorias);

	#Faz a pagina&ccedil;&atilde;o
	$pagina = $_GET['pagina'];
	#Faz a contagem de registros para fazer o c&aacute;lculo do n&uacute;mero total de p&aacute;ginas
	$contagem_total = "SELECT COUNT(*) FROM fotos $where $where2";
	include("paginacao.php");

	#Faz a sele&ccedil;&atilde;o no banco para a listagem de TODO o conte&uacute;do
	$query = "SELECT * FROM fotos $where $where2 ORDER BY id DESC LIMIT $primeiro_registro, $num_por_pagina";
	$resultado = mysql_query($query);
	$monta_select = mysql_fetch_array($resultado);
	$categoria = true;
include("topo.php");
?>
    <div id="categorias">
    	<iframe src="categorias.php?tipo=8" style="border:none;" width="730" height="400"></iframe>
    </div>
	<script src="js/fotos.js" type="text/javascript"></script> 
	<table width="775" border="0" cellspacing="0" cellpadding="0" align="center" style="margin-top:25px; background:url(images/fundo_painel.jpg) bottom right no-repeat;">
		<tr>
			<td>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:3px #F2F2F2 double; padding:5px 10px 0px 10px; background-color:#FFFFFF;">
				  <tr>
					<td><img src="images/icones/fotos.jpg" align="absmiddle" /><span class="titulo">Administrar Fotos</span></td>
					<td width="100" align="center" class="texto"><a href="fotos.php?acao=adicionar"><img src="images/icones/add.jpg" border="0" /><br />Cadastrar Foto</a></td>
					<td width="100" align="center" class="texto"><a href="#categorias" id="large_box_link"><img src="images/icones/categorias.jpg" border="0" /><br />Administrar Categorias</a></td>
				  </tr>
				</table>
				<?
				if($_GET['info'] == "falhou") {
					$erro = $_GET['causa'];
				?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:15px;">
				  <tr>
					<td align="center"><img src="images/icones/aviso.jpg" align="absmiddle"/><span class="erro"><? echo $erro; ?></span></td>
				  </tr>
				</table>
				<? } 
				if($_GET['info'] == "ok") {
					$ok = $_GET['causa'];
				?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:15px;">
				  <tr>
					<td align="center"><img src="images/icones/aviso.jpg" align="absmiddle"/><span class="ok"><? echo $ok; ?></span></td>
				  </tr>
				</table>
				<? } ?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:15px;">
				  <tr>
					<td align="right" class="texto" style="padding-right:20px;">
					    <form name="ficha" method="get" enctype="multipart/form-data" action="fotos.php?">
							Nome:&nbsp;<input name="nome" id="nome" value="<? echo $filtro; ?>" type="text" class="inputbox" />&nbsp;&nbsp;|&nbsp;
                            Categoria:&nbsp;<select name="categoria" id="categoria" class="inputbox">
                            	<option value="">Todas Categorias</option>
                            <?php
							if(!$monta_select_categorias) {
								echo "<option value=\"\">Sem categorias cadastradas</option>\n";
							} else {
								do {
									$id_categoria = $monta_select_categorias["id"];
									$nome_categoria = utf8_decode($monta_select_categorias["nome"]);
									#Verifica se o cliente é o selecionado e imprime o select com todas as categorias
									if ($filtro2 == $id_categoria) {
										echo "<option value=\"$id_categoria\" selected=\"selected\">$nome_categoria</option>\n";
									} else {
										echo "<option value=\"$id_categoria\">$nome_categoria</option>\n";
									}
								}
								while ($monta_select_categorias = mysql_fetch_array($resultado_categorias));
							}
                            ?>
                            </select>&nbsp;&nbsp;<input type="submit" value="Filtrar" class="button" />
                        </form>
                    </td>
				  </tr>
				</table>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" style="border:1px solid #747474; margin-top:10px;">
				  <tr>
					<td colspan="2" align="center" height="30" width="60" style="border-bottom:1px solid #747474;"><strong>A&ccedil;&otilde;es</strong></td>
					<td style="border-bottom:1px solid #747474;" width="315"><strong>Nome</strong></td>
					<td style="border-bottom:1px solid #747474;" width="400"><strong>Categoria</strong></td>
				  </tr>
				  <?php
					if ($monta_select == "") {
						echo "<tr><td colspan=\"4\" align=\"center\" valign=\"middle\" height=\"30\"><strong>N&atilde;o existem fotos cadastradas com este crit&eacute;rio.</strong></td></tr>";
					} else {
					#In&iacute;cio do Loop que ir&aacute; montar a tabela dos registros
					do {
						$id = $monta_select["id"];
						$nome = $monta_select["nome"];
						$id_categoria = $monta_select["categoria"];

						#Converte o ID do categoria para o nome
						$query_id_categoria = "SELECT * FROM categorias WHERE id='$id_categoria'";
						$resultado_id_categoria = mysql_query($query_id_categoria);
						$monta_select_id_categoria = mysql_fetch_array($resultado_id_categoria);
						#Faz a cria&ccedil;ao das variavel $categoria
						$categoria = utf8_decode($monta_select_id_categoria["nome"]);

						#Imprime a linha da tabela dos conte&uacute;dos
						echo "<tr>\n";
						echo "<td width=\"30\" height=\"32\" style=\"border-bottom:1px solid #CCCCCC;\"><a href=\"fotos.php?acao=editar&id=$id\"><img src=\"images/icones/editar_mini.png\" border=\"0\" alt=\"Editar\" title=\"Editar\" /></a></td>\n";
						echo "<td width=\"30\" style=\"border-bottom:1px solid #CCCCCC;\"><a href=\"#\" onclick=\"confirma('fotos.php?acao=apagar&id=$id')\"><img src=\"images/icones/apagar_mini.png\" border=\"0\" alt=\"Apagar\" title=\"Apagar\" /></a></td>\n";
						echo "<td style=\"border-bottom:1px solid #CCCCCC;\">$nome</td>\n";
						echo "<td style=\"border-bottom:1px solid #CCCCCC;\">$categoria</td>\n";
						echo "</tr>\n";
					}
					while ($monta_select = mysql_fetch_array($resultado)); 
					}
				  ?>
					<? if ($navegacao) { ?><tr><td colspan="4" align="center" valign="middle" height="30"><? echo $navegacao; ?></td></tr><? } ?>
				</table>
			</td>
		</tr>
	</table>
<?php
}
include("rodape.php");
?>